Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joseki.server.processors
Class QueryProcessorFetch

    java.lang.Object
      org.joseki.server.processors.QueryProcessorCom
          org.joseki.server.processors.QueryProcessorFetch

All Implemented Interfaces:
  Loadable, Processor, QueryProcessor

public class QueryProcessorFetch
extends QueryProcessorCom

Query processor that returns the data object referenced. This subsystem finds a node in the graph (by directly being given its URI) and uses some server side rules that calculate the RDF model to return. For example, the rule may be based on the type of the object and/or on a bNode closure over the properties with this node as subject.

Version:
  $Id: QueryProcessorFetch.java,v 1.10 2004/04/30 12:35:55 andy_seaborne Exp $
Author:
  Andy Seaborne

Field Summary

Fields inherited from interface org.joseki.server.Processor
`ARGS_ONE, ARGS_ZERO, ARGS_ZERO_OR_ONE`

Constructor Summary
`QueryProcessorFetch()`

Method Summary
`com.hp.hpl.jena.rdf.model.Model` | `execQuery(ModelSource aModel, com.hp.hpl.jena.rdf.model.Model queryModel, Request request)`
`com.hp.hpl.jena.rdf.model.Model` | `execQuery(ModelSource src, java.lang.String queryString, Request request)` Query processors supply this, rather than the `exec` method.
`java.lang.String` | `getInterfaceURI()` The URI for this loadable class.
`void` | `init(com.hp.hpl.jena.rdf.model.Resource processor, com.hp.hpl.jena.rdf.model.Resource implmentation)` Allow an implementation to initialise, based on configuration file

Methods inherited from class org.joseki.server.processors.QueryProcessorCom
`argsNeeded, exec`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryProcessorFetch

    public QueryProcessorFetch()

Method Detail

### init

    public void init(com.hp.hpl.jena.rdf.model.Resource processor,
                     com.hp.hpl.jena.rdf.model.Resource implmentation)

  Description copied from interface: `Loadable`
  Allow an implementation to initialise, based on configuration file

  Specified by:
    `init` in interface `Loadable`
  Overrides:
    `init` in class `QueryProcessorCom`
  See Also:
    `Loadable.init(Resource, Resource)`

### getInterfaceURI

    public java.lang.String getInterfaceURI()

  Description copied from interface: `Loadable`
  The URI for this loadable class. Must agree with the URI specified on loading (if any).

### execQuery

    public com.hp.hpl.jena.rdf.model.Model execQuery(ModelSource src,
                                                     java.lang.String queryString,
                                                     Request request)
                                              throws com.hp.hpl.jena.rdf.model.RDFException,
                                                     QueryExecutionException

  Description copied from class: `QueryProcessorCom`
  Query processors supply this, rather than the `exec` method. The queryString may be null (no string supplied).

  Specified by:
    `execQuery` in interface `QueryProcessor`
  Specified by:
    `execQuery` in class `QueryProcessorCom`
  Throws:
    `com.hp.hpl.jena.rdf.model.RDFException`
    `QueryExecutionException`

### execQuery

    public com.hp.hpl.jena.rdf.model.Model execQuery(ModelSource aModel,
                                                     com.hp.hpl.jena.rdf.model.Model queryModel,
                                                     Request request)
                                              throws com.hp.hpl.jena.rdf.model.RDFException,
                                                     QueryExecutionException

  Specified by:
    `execQuery` in interface `QueryProcessor`
  Specified by:
    `execQuery` in class `QueryProcessorCom`
  Throws:
    `com.hp.hpl.jena.rdf.model.RDFException`
    `QueryExecutionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Hewlett-Packard. All Rights Reserved.